package com.efastar.order;

import java.sql.*;
import java.util.Hashtable;
import java.util.Enumeration;
import java.util.Vector;
import java.text.*;
import com.efastar.esuite.*;
import com.efastar.esuite.databaseconnection.*;

public class SellerList 
{	
    private Vector   itemSet = new Vector();   
    Enumeration         enum = null;
    private Item        currItem = null;
    
    protected class Item
    {
        public long     sellerID;
        public String   sellerName;
        public String   sellerFullName;
        public String   sellerPhone;
        public String   sellerFax;
        public String   sellerEmail;
        public String   sellerURL;
        
        public String   sellerAddress;
        public String   sellerCity;
        public String   sellerState;
        public String   sellerZip;
        public String   sellerCountry;
    }
    
    public SellerList() throws Exception 
    {
	super();
        Query();
    }
        
    private void Query() throws Exception
    {
	Connection cn = null; 	
	PreparedStatement pst = null;		
        ResultSet rs = null;
            
        String strSql = "Select * from T_SELLER ";
        
        itemSet.clear();
        
	try
        {            
            cn = DbConnectOdbc.getConnection();
            pst = cn.prepareStatement(strSql);
            rs = pst.executeQuery();

            while (rs.next())
            {
                Item item = new Item();
                item.sellerID = rs.getLong("SELLER_ID");
                item.sellerName = rs.getString("SELLER_NAME");
                item.sellerFullName = rs.getString("FULL_NAME");
                item.sellerPhone = rs.getString("PHONE");
                item.sellerFax = rs.getString("FAX");
                item.sellerEmail = rs.getString("EMAIL");
                item.sellerURL = rs.getString("URL");
                item.sellerAddress = rs.getString("ADDRESS");
                item.sellerCity = rs.getString("CITY");
                item.sellerState = rs.getString("PROVINCE");
                item.sellerZip = rs.getString("POSTCODE");
                item.sellerCountry = rs.getString("COUNTRY");
                itemSet.add(item);                
            }
        }
        finally
        {
            rs.close();
            pst.close();
            cn.close();
        }
    }
    
    public void begin() throws Exception
    {
        enum = itemSet.elements();
    }
        
    public Item find(long id) throws Exception
    {
        begin();
        while (next())
        {
            if (currItem.sellerID == id)
                return currItem;
        }
        return null;
    }
    
    public boolean next() throws Exception
    {
        if (enum == null)
            throw new Exception("SellerList: call begin() first"); 
        
        if (enum.hasMoreElements())
        {
            currItem = (Item) enum.nextElement();
            return true;
        }
        return false;
    }
         
    public long getSellerID()
    {
        if (currItem == null)
            return 0;
            
        return currItem.sellerID;
    }
        
    public String getSellerName()
    {
        if (currItem == null)
            return "";
        return currItem.sellerName;
    }
        
    public String getSellerFullName()
    {
        if (currItem == null)
            return "";
        return currItem.sellerFullName;
    }
        
    public String getSellerPhone()
    {
        if (currItem == null)
            return "";
        return currItem.sellerPhone;
    }
        
    public String getSellerFax()
    {
        if (currItem == null)
            return "";
        return currItem.sellerFax;
    }
        
    public String getSellerEmail()
    {
        if (currItem == null)
            return "";
        return currItem.sellerEmail;
    }
        
    public String getSellerURL()
    {
        if (currItem == null)
            return "";
        return currItem.sellerURL;
    }        
        
    public String getSellerAddress()
    {
        if (currItem == null)
            return "";
        return currItem.sellerAddress;
    }
        
    public String getSellerCity()
    {
        if (currItem == null)
            return "";
        return currItem.sellerCity;
    }
        
    public String getSellerState()
    {
        if (currItem == null)
            return "";
        return currItem.sellerState;
    }
        
    public String getSellerZip()
    {
        if (currItem == null)
            return "";
        return currItem.sellerZip;
    }
        
    public String getSellerCountry()
    {
        if (currItem == null)
            return "";
        return currItem.sellerCountry;
    }
}